This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 441830 - (perl-DBD-ODBC) Review Request: perl-DBD-ODBC - ODBC Driver for DBI
Review Request: perl-DBD-ODBC - ODBC Driver for DBI
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2008-04-10 09:38 EDT by Xavier Bachelot
Modified: 2008-06-30 23:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-30 23:04:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cweyl: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2008-04-10 09:38:58 EDT
Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-DBD-ODBC.spec
SRPM URL: http://washington.kelkoo.net/fedora/SRPMS/perl-DBD-ODBC-1.15-1.fc8.src.rpm
Description: 
Perl ODBC Driver for DBI. This module is needed to access ODBC databases from within Perl. The module uses the unixODBC manager to connect to the database.
Comment 1 Peter Lemenkov 2008-04-12 05:14:39 EDT
Typo in changelog - s/Xvaier/Xavier/g
Comment 2 Xavier Bachelot 2008-04-12 07:18:46 EDT
(In reply to comment #1)
> Typo in changelog - s/Xvaier/Xavier/g

Thx Peter, will fix during review.
Comment 3 Chris Weyl 2008-04-13 02:47:19 EDT
scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=563988

Almost all tests are skipped.  I'm not sure what can currently be done to enable
them, aside from also packaging SQLiteODBC[1] and rigging a little test
environment... I'd encourage this; we certainly already require (as a matter of
course) the packaging of any additional cpan/perl deps required to fully enable
a test suite.

[1] http://www.ch-werner.de/sqliteodbc/html/
Comment 4 Xavier Bachelot 2008-04-13 13:13:35 EDT
(In reply to comment #3)
> scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=563988
> 
> Almost all tests are skipped.  I'm not sure what can currently be done to enable
> them, aside from also packaging SQLiteODBC[1] and rigging a little test
> environment... I'd encourage this; we certainly already require (as a matter of
> course) the packaging of any additional cpan/perl deps required to fully enable
> a test suite.
> 
> [1] http://www.ch-werner.de/sqliteodbc/html/

Thanks for the suggestion Chris. I've packaged sqliteodbc and will submit it for
review once perl-DBD-ODBC is properly modified to use it.

http://washington.kelkoo.net/fedora/SPECS/sqliteodbc.spec
http://washington.kelkoo.net/fedora/SRPMS/sqliteodbc-0.77-1.fc8.src.rpm
Comment 5 Xavier Bachelot 2008-04-14 16:31:42 EDT
Chris, I'm not sure how to build an sqlite test env. I've looked at it a bit,
but I'm not sure how to proceed. The flu that is hammering me down for 3 days
probably doesn't help. Any hint or suggestion ?
Comment 6 Chris Weyl 2008-04-14 17:40:24 EDT
Heh... I'm dealing with a head-cold myself.  Ugh. :)

Let me take a more in depth look at DBI-ODBC and see what we need to do in order
to create a small testing environment...
Comment 7 Chris Weyl 2008-04-20 12:01:29 EDT
Hm.  If you set up dummy odbcinst.ini and odbc.ini's along the lines the sqlite
homepage suggests, you can cause the tests to use it by running them along the
lines of:

 ODBCSYSINI=. ODBCINI=odbc.ini DBI_DSN=dbi:ODBC:mysqlitedb make test

where odbcinst.ini is:
[SQLite]
Description=SQLite ODBC Driver
Driver=/usr/lib64/libsqlite3odbc-0.77.so
Setup=/usr/lib64/libsqlite3odbc-0.77.so
Threading=2

And odbc.ini is:
[mysqlitedb]
Description=My SQLite test database
Driver=SQLite
Database=/tmp/mytest-foo.db
# optional lock timeout in milliseconds
Timeout=2000

Unfortunately, most of the tests fail:
Failed Test   Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/02simple.t   255 65280    62   98 158.06%  14-62
t/03dbatt.t      7  1792    24    7  29.17%  5 7 15-18 23
t/05meth.t     255 65280    13   17 130.77%  3 6-13
t/07bind.t     255 65280    11   20 181.82%  2-11
t/08bind2.t      3   768     5    3  60.00%  3-5
t/10handler.t    1   256    10    1  10.00%  10
156 subtests skipped.
Failed 6/12 test scripts, 50.00% okay. 79/295 subtests failed, 73.22% okay.

Fixing the first failed test in 02simple.t cuts the number of failed tests
significantly:

Failed Test   Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/02simple.t     7  1792    62    7  11.29%  34 36-39 43 53
t/03dbatt.t      1   256    24    1   4.17%  16
t/10handler.t    1   256    10    1  10.00%  10
156 subtests skipped.
Failed 3/12 test scripts, 75.00% okay. 9/295 subtests failed, 96.95% okay.

Looking at the test suite, it looks like the test suite can't handle sqlite for
some reason.  It might be a good idea to file a bug upstream asking about the
test suite and using an sqlite backend...
Comment 8 Jason Tibbitts 2008-06-18 16:27:38 EDT
I'm just fixing up the flags here, but I note that it's been two months without
any response from Xavier.
Comment 9 Xavier Bachelot 2008-06-23 11:48:35 EDT
yup, I'm sorry about my unresponsiveness, but I was not prepared for this amount
of work and got dragged into other things anyway. I've not lost interest in this
package and will get back to it as time permit. I've just noticed there is a
1.16 version out, I'll give it a try. Again, sorry for the delay.
Comment 10 Chris Weyl 2008-06-30 23:04:25 EDT
Marking as deadreview :(

Note You need to log in before you can comment on or make changes to this bug.